from pylab import *
from geospatial_data import *
from pmesh.create_mesh import convert_points_from_latlon_to_utm
from coordinate_transforms.redfearn import degminsec2decimal_degrees
from os import sep
from utilities.polygon import inside_polygon
import project
from pyvolution.util import plot_polygons

datadir = project.datadir
ion()

plot_data = True
plot_with_poly = False

if plot_data == True:
    file1 = datadir+'onslow_onshore_30m_dted.pts'
    file2 = datadir+'onslow_offshore_points.xya'

    G1 = Geospatial_data(file_name = file1)
    G2 = Geospatial_data(file_name = file2)

    pts1 = G1.get_data_points(absolute = True)
    pts2 = G2.get_data_points(absolute = True)

    if plot_with_poly == True:
        figname = 'onslow_data_poly'
        figure(1)
        plot(pts1[:,0],pts1[:,1],'g.',
             pts2[:,0],pts2[:,1],'b.')
        vec = plot_polygons(project.polyAll,
                            [project.poly_onslow, project.poly_coast, project.poly_region],
                            figname,
                            verbose = True)
        axis([])
        savefig(figname)
    else:
        figure(2)
        plot(pts1[:,0],pts1[:,1],'g.',
             pts2[:,0],pts2[:,1],'b.')
        xlabel('x')
        ylabel('y')
        savefig('onslow_data_extent')
else:
    
    figure(3)
    figname = 'onslow_polys'
    vec = plot_polygons(project.polyAll,
                        [project.poly_onslow, project.poly_coast, project.poly_region],
                        figname,
                        verbose = True)

close('all')
